{% extends "admin/base_site.html" %}
{% load i18n static %}{% load customadmin %}

{% block extrastyle %}{{ block.super }}<link rel="stylesheet" type="text/css" href="{% static "admin/css/dashboard.css" %}" />{% endblock %}

{% block coltype %}colMS{% endblock %}

{% block bodyclass %}{{ block.super }} dashboard app-dashboard{% endblock %}

{% block breadcrumbs %}{% endblock %}

{% block content %}
<div id="content-main">
{% get_app_list app_list as app_list %}
{% if app_list %}
<div class="app-dashboard-module">
    {% for app in app_list %}{% if app_label or not app.is_hidden %}
    <div class="app-{{ app.app_label }} app" id="app-{{ app.app_label }}">
        <div class="app-container">
            <h2 class="app-title">{{ app.name }}</h2>
            <div class="app-models">
            {% for model in app.models %}{% if not model.is_hidden %}
                <div class="model-{{ model.object_name|lower }} model">
                    {% if model.admin_url %}
                    <a href="{{ model.admin_url }}">
                    {% else %}
                    <a>
                    {% endif %}
                        {% if model.icon %}{{model.icon|safe}}{% else %}<i class="icon material-icons">stop</i>{% endif %}
                        <div>{{ model.name }}</div>
                    </a>
                </div>
            {% endif %}{% endfor %}
            </div>
        </div>
    </div>
    {% endif %}{% endfor %}
</div>
{% else %}
    <p>{% trans "You don't have permission to edit anything." %}</p>
{% endif %}
</div>
{% endblock %}

{% block sidebar %}
<div id="content-related">
    <div class="module" id="recent-actions-module">
        <h2>{% trans 'Recent actions' %}</h2>
        <h3>{% trans 'My actions' %}</h3>
            {% load log %}
            {% get_admin_log 10 as admin_log for_user user %}
            {% if not admin_log %}
            <p>{% trans 'None available' %}</p>
            {% else %}
            <ul class="actionlist">
            {% for entry in admin_log %}
            <li class="{% if entry.is_addition %}addlink{% endif %}{% if entry.is_change %}changelink{% endif %}{% if entry.is_deletion %}deletelink{% endif %}">
                {% if entry.is_deletion or not entry.get_admin_url %}
                    {{ entry.object_repr }}
                {% else %}
                    <a href="{{ entry.get_admin_url }}">{{ entry.object_repr }}</a>
                {% endif %}
                <br/>
                {% if entry.content_type %}
                    <span class="mini quiet">{% filter capfirst %}{{ entry.content_type }}{% endfilter %}</span>
                {% else %}
                    <span class="mini quiet">{% trans 'Unknown content' %}</span>
                {% endif %}
            </li>
            {% endfor %}
            </ul>
            {% endif %}
    </div>
</div>
{% endblock %}
